%define upstream_name    Devel-ArgNames
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Figure out the names of variables passed into subroutines
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(PadWalker)
BuildRequires: perl(Test::use::ok)
BuildArch: noarch


%{?perl_default_filter}

%description
When print-debugging code, you will often ind yourself going:

	print "\$foo is $foo, \$bar is $bar"

With this module, you can write a reusable subroutine easily:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.30.0-12.mga9
+ Revision: 1802998
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.30.0-11.mga8
+ Revision: 1493969
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.30.0-10.mga7
+ Revision: 1267195
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-9.mga6
+ Revision: 1025486
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.30.0-8.mga6
+ Revision: 949018
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.30.0-7.mga5
+ Revision: 788819
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-6.mga5
+ Revision: 743272
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.30.0-5.mga5
+ Revision: 735554
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-4.mga5
+ Revision: 684298
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-3.mga4
+ Revision: 510790
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 365673
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 31903
- mageia rebuild
- imported package perl-Devel-ArgNames

